1. Don_Ignacio's Avatar
    when i try to download the app world, it says that the system requirements are too high for my phone. in other words my phone is too bad to run it...
    RIDICULOUS! on Bold is a standard 4.6 OS...
    What the **** is The freakin page whining about then?

    Anyone got a solution? a setting or some sort?...
    09-02-09 04:02 PM
  2. snowindec9's Avatar
    i haven't gotten it to download since im in aruba. its highly unlikely i will until i return to nyc. why release an app world if the world can't be able to download it?
    09-02-09 04:32 PM
  3. sabelt's Avatar
    09-02-09 04:34 PM
  4. ak29's Avatar
    when i try to download the app world, it says that the system requirements are too high for my phone. in other words my phone is too bad to run it...
    RIDICULOUS! on Bold is a standard 4.6 OS...
    What the **** is The freakin page whining about then?

    Anyone got a solution? a setting or some sort?...
    Do you have a data plan? Thats what it said for me when I first got my bold and didnt have a data plan and just tried to dowload it by wifi.
    09-02-09 05:08 PM
LINK TO POST COPIED TO CLIPBOARD